Page descriptions not retained from group, institution and site pages

Bug #1631806 reported by Kristina Hoeppner on 2016-10-09
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Cecilia Vela Gurovic
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Cecilia Vela Gurovic

Bug Description

Reported at https://mahara.org/interaction/forum/topic.php?id=7731

When copying a group, institution or site page, the page description is not copied, which makes it less useful for templates.

Confirmed in 16.10dev and 16.04, most likely also in 15.10.

no longer affects: mahara/17.04
Niranjan (niranjan528) wrote :

Hi cecelia,

Tested this and I found that when we navigate to groups>select a page> pages> Create a page the page description is defaulted with the following content," Set up the default layout for the pages that your users create. You can also add blocks. Please note that any content you add to the default page will appear on every page that your users create." I think this should be blank

Other than that everything looks fine.

Reviewed: https://reviews.mahara.org/7127
Committed: https://git.mahara.org/mahara/mahara/commit/2a2e580eaa4e7c35c5d2d30dc77928ff474e7754
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 2a2e580eaa4e7c35c5d2d30dc77928ff474e7754
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Oct 17 11:19:51 2016 +1300

Bug 1631806: Copy page description when institution/group

When a group, institution or site page is copied,
the page description from the template page
should be copied to the new page.

behatnotneeded

Change-Id: I89dd24457005c2b2d43abfbb65824198d85f8fd1

Reviewed: https://reviews.mahara.org/7137
Committed: https://git.mahara.org/mahara/mahara/commit/b1e0c7aed5022c6dea48b8e9939c156bdcd6923c
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit b1e0c7aed5022c6dea48b8e9939c156bdcd6923c
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Oct 17 11:19:51 2016 +1300

Bug 1631806: Copy page description when institution/group

When a group, institution or site page is copied,
the page description from the template page
should be copied to the new page.

behatnotneeded

Change-Id: I89dd24457005c2b2d43abfbb65824198d85f8fd1
(cherry picked from commit 2a2e580eaa4e7c35c5d2d30dc77928ff474e7754)

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/7139

Robert Lyon (robertl-9) wrote :

The 15.10 patch is slightly different to the others.

in 16.04+ we can check using the SITE_TEMPLATE constant, but that didn't exist in 15.10

instead we need to check if $template->get('owner') === '0' as it seems that fetching the variable from db via get() method make it type string.

But we can't go (int) $template->get('owner') as both '0' and null will be cast to 0

Reviewed: https://reviews.mahara.org/7138
Committed: https://git.mahara.org/mahara/mahara/commit/1ed78bf92d37d72f3311a786ac762fbea7df9eac
Submitter: Aaron Wells (<email address hidden>)
Branch: 15.10_STABLE

commit 1ed78bf92d37d72f3311a786ac762fbea7df9eac
Author: Robert Lyon <email address hidden>
Date: Tue Oct 18 08:55:49 2016 +1300

Bug 1631806: Copy page description when institution/group

When a group, institution or site page is copied,
the page description from the template page
should be copied to the new page.

behatnotneeded

Change-Id: I89dd24457005c2b2d43abfbb65824198d85f8fd1
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7139
Committed: https://git.mahara.org/mahara/mahara/commit/f772bcd482b89a7ba6484d2f82c5455282a09cde
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit f772bcd482b89a7ba6484d2f82c5455282a09cde
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Oct 17 11:19:51 2016 +1300

Bug 1631806: Copy page description when institution/group

When a group, institution or site page is copied,
the page description from the template page
should be copied to the new page.

behatnotneeded

Change-Id: I89dd24457005c2b2d43abfbb65824198d85f8fd1
(cherry picked from commit 2a2e580eaa4e7c35c5d2d30dc77928ff474e7754)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers